Bug 294211 - fedora-abiword.desktop incorrectly translates Name=AbiWord to generic names
fedora-abiword.desktop incorrectly translates Name=AbiWord to generic names
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F15Target
  Show dependency treegraph
 
Reported: 2007-09-17 22:01 EDT by Kevin Kofler
Modified: 2013-11-23 14:36 EST (History)
1 user (show)

See Also:
Fixed In Version: libgsf-1.14.28-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:36:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-09-17 22:01:35 EDT
Description of problem:
The English entries are correct:
Name=AbiWord
GenericName=Word Processor
however the translations look like this:
Name[de]=Textverarbeitung
Name[nb]=Tekstbehandling
Name[nl]=Tekstverwerker
Name[nn]=Tekstbehandling
Name[no]=Tekstbehandler
Name[pt]=Processador de Texto
Name[es]=Procesador de textos Abiword
GenericName[es]=Procesador de textos
Name[fr]=Traitement de texte AbiWord
GenericName[fr]=Traitement de texte
Name[pl]=Edytor tekstu AbiWord
Name[ja]=AbiWord ワードプロセッサ
which is bad, because this way AbiWord is displayed as 
e.g. "Textverarbeitung - Word Processor" in KDE, which is easy to confuse 
with "Word Processor" as currently used in OO.o (though that one should be 
fixed too).
Can these please be fixed to:
GenericName[de]=Textverarbeitung
GenericName[nb]=Tekstbehandling
GenericName[nl]=Tekstverwerker
GenericName[nn]=Tekstbehandling
GenericName[no]=Tekstbehandler
GenericName[pt]=Processador de Texto
GenericName[es]=Procesador de textos
GenericName[fr]=Traitement de texte
GenericName[pl]=Edytor tekstu
GenericName[ja]=ワードプロセッサ
(You can leave the Comment[*]= entries alone, but the Name[*]= entries should 
be removed and the above GenericName[*]= entries used instead to match the 
English version.)

(I'm putting this into F8Target rather than F9Target because the string freeze 
is definitely irrelevant here, as only translations are being changed, and 
these don't come from the Fedora translators anyway.)

Version-Release number of selected component (if applicable):
abiword-2.4.6-6.fc8
Comment 1 Bug Zapper 2008-05-13 23:14:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Kofler 2009-03-06 07:38:23 EST
Reopening, this is NOT fixed. abiword-2.6.6-1.fc9 still has these incorrect translations, and as Rawhide also has 2.6.6 with no patch for this issue, I strongly doubt it is fixed in ANY release. Please don't close bugs unless you're sure they're actually fixed.
Comment 3 lexual 2009-03-06 17:17:28 EST
Apologies.

I only looked at:

/usr/share/kde4/apps/kappfinder/apps/Office/abiword.desktop
which looks to be setup as you have requested.

I missed:

/usr/share/applications/fedora-abiword.desktop
/usr/share/mimelnk/application/x-abiword.desktop

find /usr -name "*.desktop" | grep abiw | xargs less
Comment 4 Bug Zapper 2009-06-09 18:50:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Rex Dieter 2010-02-21 16:37:55 EST
confirmed present in abiword-2.8.1-1.fc12.x86_64
Comment 6 Bug Zapper 2010-11-04 08:07:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin Kofler 2010-11-04 11:21:03 EDT
Still broken in Rawhide (abiword-2.8.6-3.fc15).
Comment 8 Fedora Update System 2013-11-18 15:00:08 EST
libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
Comment 9 Fedora Update System 2013-11-19 00:29:19 EST
Package libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgsf-1.14.28-1.fc19 abiword-3.0.0-4.fc19 sugar-write-94-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21665/libgsf-1.14.28-1.fc19,abiword-3.0.0-4.fc19,sugar-write-94-1.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-23 14:36:32 EST
libgsf-1.14.28-1.fc19, abiword-3.0.0-4.fc19, sugar-write-94-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.